const { generate } = require('graphql-code-generator');

const generateTypes = (schemaPath, outputPath) => {
  const config = {
    overwrite: true,
    schema: schemaPath,
    generates: {
      [outputPath]: {
        plugins: ['typescript-common', 'typescript-server'],
      },
    },
  };
  return generate(config).catch(e => console.log('Schema typescript generation failed', e));
};

module.exports = generateTypes;
